Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8197784

doc change for JDK-8191438 on jarsigner

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P3
    • Resolution: Fixed
    • Affects Version/s: 11
    • Fix Version/s: 11
    • Component/s: docs
    • Labels:

      Description

      JDK-8191438 adds some new warnings and information text. This jarsigner tooldoc file should be updated.

      Severe Warnings:

      hasExpiredTsaCert
      Code 4. The timestamp has expired.

      tsaChainNotValidated
      Code 64. The timestamp is invalid.

      Informational Warnings:

      hasExpiringTsaCert
      The timestamp will expire within one year on YYYY-MM-DD.

      Please also update the example to include the new expiration information at the end of signing and verifying (with -verbose).

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rgallard Raymond Gallardo
                Reporter:
                weijun Weijun Wang
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: